%define anolis_release 1
%global sdkver 1.3.239.0

Name:           spirv-headers
Version:        1.5.5
Release:        %{anolis_release}%{?dist}
Summary:        Header files from the SPIR-V registry

License:        MIT
URL:            https://github.com/KhronosGroup/SPIRV-Headers/
Source0:        https://github.com/KhronosGroup/SPIRV-Headers/archive/refs/tags/sdk-%{sdkver}.tar.gz

BuildArch:      noarch

BuildRequires:  cmake >= 3.0
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  grep

%description
%{summary}

This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry file

%package        devel
Summary:        Development files for %{name}
Provides:       %{name}-sdk = %{sdkver}

%description    devel
%{summary}

This includes:

* Header files for various languages.
* JSON files describing the grammar for the SPIR-V core instruction
  set, and for the GLSL.std.450 extended instruction set.
* The XML registry fil

%package doc
Summary: Documentation files for %{name}
Requires: %{name}-devel = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n SPIRV-Headers-sdk-%{sdkver}
grep 'project(SPIRV-Headers VERSION %{version})' CMakeLists.txt
chmod a-x include/spirv/1.2/spirv.py

%build
%cmake -DCMAKE_INSTALL_LIBDIR=%{_lib} -GNinja
%cmake_build

%install
%cmake_install

%files devel
%license LICENSE
%{_includedir}/spirv/
%{_datadir}/cmake/SPIRV-Headers/*.cmake
%{_datadir}/pkgconfig/SPIRV-Headers.pc

%files doc
%doc README.md

%changelog
* Thu Feb 9 2023 Funda Wang <fundawang@yeah.net> - 1.5.5-1
- Import package for anolis 23
- Add sdkver into provides for use with downstream packages
